import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: T;
    b: any;
}
export interface O<T> {
    a: T;
}
export default class Wait<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a }: I<T>, done: any): void;
}
